org.apache.hc.client5.http.auth

## Interface Credentials

All Known Implementing Classes:
  BearerToken, KerberosCredentials, NTCredentials, UsernamePasswordCredentials

    public interface Credentials

This interface represents a set of credentials consisting of a security principal and a secret (password) that can be used to establish user identity

Since:
  4.0

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`char[]` `getPassword()` Deprecated. Use specific credentials class that represent a username / password set of a security token.
`Principal` `getUserPrincipal()`

### Method Detail

#### getUserPrincipal

    Principal getUserPrincipal()

#### getPassword

    @Deprecated
    char[] getPassword()

Deprecated. Use specific credentials class that represent a username / password set of a security token.